// initializers (incl field initializers)
class C {
    Object f = foo();

    final Object g;
    {
	g = "asdf";
    }

     Object foo() {
 	return "ersdfg";
     }

    C() {
    }
    static public void main(String[] args) {
	C c = new C();
	c.f.toString(); // can not be null!
	c.g.toString(); // can not be null!
    }   
}

